Subject: bug#44858: [PATCH] Make byte-compiler warn about wide docstrings

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Dec 2020 13:22:50 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 11 Dec 2020 14:36:33 -0600
> Cc: [email-masked], [email-masked]
> 
> > Please show those problematic doc strings, and I will try to fix them.
> 
> Thanks, I appreciate the help.  Please see the below list that should be
> easy to just put in a compilation-mode buffer.
> 
> 
> gnus/deuglify.el:252:1: Warning: custom-declare-variable
>     `gnus-outlook-deuglify-unwrap-stop-chars' docstring wider than 80
>     characters
> gnus/deuglify.el:259:1: Warning: custom-declare-variable
>     `gnus-outlook-deuglify-no-wrap-chars' docstring wider than 80 characters
> gnus/deuglify.el:265:1: Warning: custom-declare-variable
>     `gnus-outlook-deuglify-attrib-cut-regexp' docstring wider than 80
>     characters
> gnus/gnus.el:1529:1: Warning: custom-declare-variable
>     `gnus-group-charset-alist' docstring wider than 80 characters
> gnus/nnvirtual.el:63:1: Warning: defvar `nnvirtual-mapping-table' docstring
>     wider than 80 characters
> gnus/nnvirtual.el:66:1: Warning: defvar `nnvirtual-mapping-offsets' docstring
>     wider than 80 characters
> gnus/nnvirtual.el:72:1: Warning: defvar `nnvirtual-mapping-reads' docstring
>     wider than 80 characters
> gnus/nnvirtual.el:75:1: Warning: defvar `nnvirtual-mapping-marks' docstring
>     wider than 80 characters
> gnus/nnvirtual.el:78:1: Warning: defvar `nnvirtual-info-installed' docstring
>     wider than 80 characters
> language/ethio-util.el:122:1: Warning: defvar `ethio-quote-vowel-always'
>     docstring wider than 80 characters
> language/ethio-util.el:127:1: Warning: defvar `ethio-W-sixth-always' docstring
>     wider than 80 characters
> mail/feedmail.el:624:1: Warning: custom-declare-variable
>     `feedmail-sendmail-f-doesnt-sell-me-out' docstring wider than 80
>     characters

I fixed those.

> mh-e/mh-e.el:2827:1: Warning: custom-declare-variable
>     `mh-invisible-header-fields' docstring wider than 80 characters
> mh-e/mh-e.el:2850:1: Warning: custom-declare-variable
>     `mh-invisible-header-fields-default' docstring wider than 80 characters
> net/dbus.el:79:1: Warning: defconst `dbus-interface-peer' docstring wider than
>     80 characters
> net/dbus.el:91:1: Warning: defconst `dbus-interface-introspectable' docstring
>     wider than 80 characters
> net/dbus.el:102:1: Warning: defconst `dbus-interface-properties' docstring
>     wider than 80 characters
> net/dbus.el:128:1: Warning: defconst `dbus-interface-objectmanager' docstring
>     wider than 80 characters
> net/dbus.el:148:1: Warning: defconst `dbus-interface-monitoring' docstring
>     wider than 80 characters

I see nothing wrong with these, so either I'm missing something or
there's a bug in the code which reports these problems.

> org/org-ctags.el:164:1: Warning: custom-declare-variable
>     `org-ctags-open-link-functions' docstring wider than 80 characters

Fixed.

> org/org-protocol.el:166:1: Warning: custom-declare-variable
>     `org-protocol-project-alist' docstring wider than 80 characters

I don't see a problem here.

> vc/ediff-init.el:556:1: Warning: custom-declare-variable
>     `ediff-before-flag-bol' docstring wider than 80 characters
> vc/ediff-init.el:562:1: Warning: custom-declare-variable
>     `ediff-after-flag-eol' docstring wider than 80 characters
> vc/ediff-init.el:568:1: Warning: custom-declare-variable
>     `ediff-before-flag-mol' docstring wider than 80 characters

Fixed.

> progmodes/cc-engine.el:183:1: Warning: defvar `c-vsemi-status-unknown-p-fn'
>     docstring wider than 80 characters

I don't see how I can do anything about this one.